package alui

import (
	"opslag.de/schobers/allg5"
	"opslag.de/schobers/geom"
)

type Context struct {
	Display *allg5.Display
	Fonts   *Fonts
	Cursor  allg5.MouseCursor
	Palette Palette
}

func (c *Context) DisplayBounds() geom.RectangleF32 {
	return geom.RectF32(0, 0, float32(c.Display.Width()), float32(c.Display.Height()))
}

type State struct {
	Font string
}
